EKNO YUAG - Bug #3566

Bugs Report All Employee
04/14/2025 03:35 PM - Mr lkmal

Status: Closed Start date: 04/14/2025
Priority: High Due date: 04/16/2025
Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear Team Developer,

Mohon bantuannya, untuk menampilkan data Institution yang ada di table PHRPAQ0008 berdasarkan EmployeelD nya. Karena pada
saat ini data nya ada (free text) tapi di report All Employee belum muncul data Institution nya.

Employee Area: Bekasi Asaba . period: 14/04/2025 ]

Employee Office: PT ASABAMETALINL ~

Employee Movement
Employee Status:

Employee Master Data Active -
Import Employee Data Employee Type: Apprentice .
Export Employee Data
Delete Employee Data
Mass File Import
Report Result -

4 4 of2 b Pl Select a format v | Export

Curriculum Vitae

Employee Assignment

B Time Management ) Bank Account Bank Account Name Education Level Desc Major Institution GPA Remark
M Payroll Administration
1560022442604 | KHOERUL AFIDIN SMA Teknik i 0.000
S violdceountns 1560022759452 | NURUL GUNAWAN SMA TKR 0.000
B System Administration 1560022459574 | RENDY ALAMSYAH SMA TKR 0.000
1560022594750 | NURHARTONO SMA teknik Mesin 0.000
1660003956638 | LUKMAN SAPTIYAWAN SMA TKR 0.000
1560022594776 | ANDREANSAH SMA Welding 0.000
1560022743993 | PARID MAULIDA SMA TKR 0.000
1560022745212 | MAULANA SETIAWAN SMA TKR 0.000
1560022744017 | EKO KURNIADI SMA TKR 0.000
1560022858007 | RUDI HARTONO SMA Pengelasan 0.000
1560022857991 | FATKUROZI SMA TKR 0.000
1560022857967 | DERT SETIAWAN SMA Teknik Mesin 0.000
1390029202243 | RAFA TRI PRIYANTO SMA TKR 0.000
1560023202791 | LOLA NABILLA Strata 1 Bimbel Islam 0.000
1560023202775 | BAYU ROMADHON SMA TBSM 0.000
15600 Q355N FAHRI I KHOI OT NOOR SMA TFT N nnn
Employee Overview - 00000001 - KHOERUL AFIDIN
@8 My Workplace

W Dashboard = Employee ID: 00000001
Full Name: KHOERUL AFIDIN
Employee Status: Active
Employee Type: Apprentice
Employee Movement
Employee Master Data Detail
Import Employee Data
Export Employee Data Tab List
Delete Employee Data (ita Assignment Address
Mass File Import
Start Date: 06/03/2024
End Date: 31/12/9999
EducationType: Formal
Curriculum Vitae
5 LastEducation: Yes
Employee Assignment
Education Level: SMA
—_—

B Time Management
Institution: SMK Karya Teknologi
B Payroll Administration
€l oo

@ Payroll Accounting

Address:

@ System Administration

Training Name:

Terima kasih.

https://hris-ekno.minovais.com/Account/Login
port db: 103.153.60.89
database: MinovaES_Ekno

Company ID:

Employee Office:

Organization:

Position:

Family
Major:
GPA:
Grade:
Certified:
Notes:
Create By:
Create Date:
Change By:

Change Date:

PT ASABA METAL INDUSTRI
PT ASABA METAL INDUSTRI
PT ASABA METAL INDUSTRI
Produksi Stamping

Teknik Permesinan

0.000

ASABA METEL INDUSTRI
minovais

14/04/2025 08:55:36
minovais

14/04/2025 15:28:27

~@al

Workin )

&

History

#1 - 04/14/2025 03:56 PM - Kezia Pawitra Yulianti
- Due date set to 04/17/2025
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to shofwan shiddiq

#2 - 04/15/2025 12:01 PM - Kezia Pawitra Yulianti

- Due date changed from 04/17/2025 to 04/16/2025

- Assignee changed from shofwan shiddiq to M Azid Wahyudi
- Priority changed from Normal to High

#3 - 04/15/2025 02:06 PM - M Azid Wahyudi

- File clipboard-202504151405-tzkzc.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mr Ikmal

Dear ikmal , udah bisa di test ya
https://hris-ekno.minovais.com/Account/Login

history X B Mincva ES | All Employee

s-ekno.minovais.com/Page/reports?Fau-+yETqDLSafmgnardY6JBH7/SmVclB

Report Result

W4T ez r b [sematemst veges

Curriculum Vitae

Employee Assignment

M Time Management
W Payroll Administration

M Payroll Accounting

NPWP No Bank 1D Bank i Major Tnstitution

B System Administration

080109143521000 | Mandir 1560022442604 | KHOERUL AFIDIN Teknik Permesinan | MK Karya Teknologi

Mandini NURUL GUNAWAN i SMK Bina Patriot

429692526414000 | Mandii 1560022459574 | RENDY ALAMSYAH KR SMK Jayabeka 1 Karawiang

665512084408000 | Mandir 1560022594750 | NURHARTONO tekni Mesin SMK Ristek Karaviang

807656954432000 | Mandir LUKMAN SAFTIYAWAN TR SMIK Tinta Emas Indonesia

651051765414000 | Mandii Welding SMK Bina Patriot

Mandiri PARID MAULIDA SMK Sk-Huda Turalak

Mandini MAULANA SETLAWAN SMK Bina Patriot

Mandini 1560022744017 | EKO KURNIADI SMKN 1

Mandini RUDI HARTONO Pengelasan SMK Bina Patriot

046421780413000 | Mandir 1560022857991 | FATKURGZI TR SMK Pusponegoro 1 Brebes

Mandin 1560022857967 | DERI SETLAWAN Teknik Mesin SMIK HICTT 1 Purwareja Klampok
Mandini 1390029202243 | RAFA TRI PRIVANTO ) SMKN 1 Bulakamba

makasih

#4 - 04/16/2025 09:21 AM - Mr Ikmal

- File Screenshot 2025-04-16 091343.png added

- File Screenshot 2025-04-16 092021.png added

- Status changed from QA Test to Assigned

- Assignee changed from Mr lkmal to M Azid Wahyudi

Dear mas azid,

Mohon bantuannya untuk di report All Employee, menampilkan data KTP No dan data nya diambil dari table PHRPA0013 yg IDType nya 00 aja mas.
Terima kasih

https://hris-ekno.minovais.com/Account/Login

port db: 103.153.60.89
database: MinovaES_Ekno

#5 - 04/16/2025 10:10 AM - M Azid Wahyudi
- File clipboard-202504161010-4p0bs.png added
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , untuk setting ktp ada settingannya di PCMEPGENPARAM paramater (PRPTPAALLEMPLOYEE_IDKTP)
berikut ini settingan2 yang ada di report all employee :

DECLARE @PermanentDate VARCHAR

SELECT @PermanentDate = Valuel

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_PRMNTDATE'
DECLARE @PermanentDate2 VARCHAR

SELECT @PermanentDate2 = Value1

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_DATETYP'
DECLARE @HiringDate VARCHAR

SELECT @HiringDate = Value1

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_HIRINGDATE'
DECLARE @LastAssign VARCHAR

SELECT @LastAssign = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_LASTASSGNMNT'
DECLARE @Resign VARCHAR

SELECT @Resign = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_RESIGN'
DECLARE @Expired VARCHAR

SELECT @Expired = Value1

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_DATESPEC'
DECLARE @joingroup VARCHAR

SELECT @joingroup = Valuel

07/03/2025

Blood Type KTP No KTP Expired
3302021611040003 31/12/9999 [Randegan
3216130910010001 31/12/9999 (Kp Pengasinan
3216120705030004 31/12/9999 | Perum Kedungwaring
3215180406950005 31/12/9999 | Bakan Jati
3275111509950001 31/12/9999 |Kp Babakan
3216103112030003 31/12/9999 |Kp pulo Kukun
3207310605030001 31/12/9999 [ Dusun Pasir kadu
3216100809050001 31/12/9999 |Kp Pulo Kukun
3327062603000002 31/12/9999 | Banjarsari
3216143010020002 31/12/9999 | KP Pembetokan
3329091003010004 31/12/9999 | Lembarawa
3304011604040003 31/12/9999 | Krajan
3329091205030007 31/12/9999 | L Malik Ibrahim
3216176701970003 31/12/9999 | L Sepakat VI
3327081511040041 31/12/9999 | 1L Tangkuban Perahu
3215083110990002 31/12/9999 | Mekarjaya
15061 11809040003 31/12/9999 | Pabuaran
3215112704970001 31/12/9999 | Dusun Bayur II
3216132108000002 31/12/9999 |Kp Peudeuy
3216100607060004 31/12/9999 | Kp Jarakosta
3216132112960003 31/12/9999 | KPLeuweung Gede
3216091209030005 31/12/9999 | Kp Pintu Air
3216101108990006 31/12/9399 |Kp Pulo Besar
3216100908020002 31/12/9399 | Kp Jarakosta
3217120603000014 31/12/9999 |Kp Cigagak
32731129049580005 31/12{9999 (1l Elang II Blok E No
3305182504990002 31/12/9999 (DK Kebulen
3216141708010007 31/12/9999 (Kp Caringin
3216100511040004 31/12/9999 (Kp Ciherang
3274011801050001 31/12{9999 | Perum Cahaya Perma
FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_DATETYP_JOINGROUP'
DECLARE @Resident VARCHAR

SELECT @Resident = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_RESIDENT'
DECLARE @HP VARCHAR

SELECT @HP = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_COMMTYPHP'
DECLARE @Email VARCHAR

SELECT @Email = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_COMMTYPEMAIL'
DECLARE @IDKTP VARCHAR

SELECT @IDKTP = Value1

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_IDKTP'
DECLARE @IDPassport VARCHAR

SELECT @IDPassport = Value1

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_IDPSSPRT'
DECLARE @IDSIMA VARCHAR

SELECT @IDSIMA = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_IDSIMA'
DECLARE @IDSIMB VARCHAR

SELECT @IDSIMB = Value1

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_IDSIMB'
DECLARE @IDSIMC VARCHAR

SELECT @IDSIMC = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_IDSIMC'
DECLARE @ResidentKTP VARCHAR

SELECT @ResidentKTP = Valuet

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_RESIDENTKTP'
DECLARE @ResidentKost VARCHAR

SELECT @ResidentKost = Value1

FROM PCMEPGENPARAM

WHERE Parameter = 'PRPTPAALLEMPLOYEE_RESIDENTKOST'

DECLARE @par_pension VARCHAR

SELECT @par_pension = Value1

FROM dbo.PCMEPGENPARAM

WHERE Parameter ='MDREMINDERMAXAGEPENSION'

makasih

#6 - 04/16/2025 10:28 AM - Kezia Pawitra Yulianti

- Status changed from Revise to QA Test

#7 - 04/16/2025 02:50 PM - Mr Ikmal

Oke mas, no ktp nya sudah muncul makasih mas

#8 - 05/19/2025 08:42 AM - Mr Ikmal
- Status changed from QA Test to Closed

Files

clipboard-202504141535-snc2g.png 362 KB 04/14/2025 Mr Ikmal
clipboard-202504141535-ua8tj.png 308 KB 04/14/2025 Mr Ikmal
clipboard-202504151405-tzkzc.png 106 KB 04/15/2025 M Azid Wahyudi
Screenshot 2025-04-16 091343.png 106 KB 04/16/2025 Mr Ikmal
Screenshot 2025-04-16 092021.png 330 KB 04/16/2025 Mr Ikmal
clipboard-202504161010-4p0bs.png 45.7 KB 04/16/2025 M Azid Wahyudi
